<?php  
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
//网站URL
$config['base_url']	= 'http://'.Web_Url.Web_Path;
//索引文件
$config['index_page'] = SELF;
//URI协议
$config['uri_protocol']	= 'AUTO';
//URL后缀
$config['url_suffix'] = '';
//默认语言
$config['language']	= 'zh_cn';
//默认字符集
$config['charset'] = 'UTF-8';
//启用系统挂钩
$config['enable_hooks'] = FALSE;
//类扩展前缀
$config['subclass_prefix'] = 'MY_';
//允许URL字符
$config['permitted_uri_chars'] ='a-z 0-9~.:_\-@';
//查询字符串
$config['allow_get_array']	= TRUE;
$config['enable_query_strings'] = FALSE;
$config['controller_trigger']	= 'c';
$config['function_trigger']	= 'm';
$config['directory_trigger']	= 'd'; // 当前没有使用的

//错误记录阈值 0 =禁用日志，错误日志关闭, 1 =错误信息（包括PHP错误）, 2 =调试消息, 3 =信息消息, 4 =所有的消息
$config['log_threshold'] = 0;
//错误日志目录路径
$config['log_path'] = '';
//日志的日期格式
$config['log_date_format'] = 'Y-m-d H:i:s';
//缓存目录路径
$config['cache_path'] = 'cache/';
//密钥
$config['encryption_key'] = CS_Encryption_Key;
//会话变量
$config['sess_cookie_name']	= 'cscms_session'; //session名称
$config['sess_expiration']	= 43200; //session保存时间
$config['sess_expire_on_close']	= TRUE;  //是否导致session自动失效
$config['sess_encrypt_cookie']	= TRUE; //是否加密session
$config['sess_use_database']	= FALSE;  //是否保存session数据到数据库
$config['sess_table_name']	= 'cs_sessions';  //保存session数据库表的名称
$config['sess_match_ip']	= FALSE;   //是否匹配用户的IP地址读取session数据
$config['sess_match_useragent']	= FALSE;   //是否匹配用户代理读取session数据
$config['sess_time_to_update']	= 300;    //多少秒刷新session信息之间的词

//Cookie的相关变量
$config['cookie_prefix']	= "cscms_";   //设定一个Cookie前缀，如果你需要避免碰撞
$config['cookie_domain']	= "";        //Cookie域
$config['cookie_path']		= Web_Path;       //Cookie路径
$config['cookie_secure']	= FALSE;     //Cookie安全的HTTPS连接

//XSS过滤开关
$config['global_xss_filtering'] = FALSE;

//跨站请求伪造
$config['csrf_protection'] = FALSE;   //开关
$config['csrf_token_name'] = 'csrf_test_name';      //token名称
$config['csrf_cookie_name'] = 'csrf_cookie_name';   //cookie名称
$config['csrf_expire'] = 7200;   //到期秒数

//gzip压缩开关
$config['compress_output'] = FALSE;
//主参考
$config['time_reference'] = 'local';
//重写PHP短标签
$config['rewrite_short_tags'] = TRUE;
//反向代理
$config['proxy_ips'] = '';
