<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Label extends CI_Controller {

	function __construct(){
		parent::__construct();
        	$this->load->helper('url');
                $this->load->library('session'); //加载session
		$this->load->model('CsdjDB');
		$this->load->model('CsdjAdmin');
		$this->load->model('CsdjSkins');
                $this->db->cache_off();
	        $this->CsdjAdmin->Admin_Login();
                $this->load->helper('file');
	}

	public function write()
	{
            $this->load->view('admin/label_write');
        }

	public function index()
	{
 	    $page = $this->input->get('page');
            if(empty($page)) $page=1;

	    $sql_string = "SELECT * FROM ".CS_SqlPrefix."label order by CS_AddTime desc";
	    $query = $this->db->query($sql_string); 
	    $total = $query->num_rows();

            $base_url = site_url('admin/label/index/')."?";
	    $per_page = 20; 
            $totalPages = ceil($total / $per_page); // 总页数
	    $data['nums'] = $total;
            if($total<$per_page){
               $per_page=$total;
            }
            $sql_string.=' limit '. $per_page*($page-1) .','. $per_page;
	    $query = $this->db->query($sql_string);

	    $data['label'] = $query->result();
	    $data['pages'] = $this->CsdjAdmin->get_page($base_url,$totalPages,$page,10); //获取分页类

            $this->load->view('admin/label_dy',$data);
        }

	public function dyadd()
	{
            $data['title']="新建";
            $data['CS_ID']="0";
            $data['CS_Name']="";
            $data['CS_Neir']="";
            $data['CS_SelfLable']="";
            $this->load->view('admin/label_dy_edit',$data);
        }

	public function dyedit()
	{
	    $id = $this->uri->segment(4);
            if(empty($id)) $this->CsdjAdmin->Admin_Url('<font color=red>参数错误，ID为空！</font>',site_url('admin/label/'));
            $data['title']="修改";
            $sql="SELECT * FROM ".CS_SqlPrefix."label where cs_id=".$id."";
	    $row=$this->CsdjDB->get_all($sql);

            $data['title']="修改";
            $data['CS_ID']=$row[0]->CS_ID;
            $data['CS_Name']=$row[0]->CS_Name;
            $data['CS_Neir']=$row[0]->CS_Neir;
            $data['CS_SelfLable']=$row[0]->CS_SelfLable;
            $this->load->view('admin/label_dy_edit',$data);
        }

	public function dysave()
	{
            $this->CsdjAdmin->Admin_Qx('29');
            $data['CS_ID']=$this->input->post('CS_ID');
            $data['CS_Name']=strtolower($this->input->post('CS_Name'));
            $data['CS_Neir']=$this->input->post('CS_Neir');
            $data['CS_SelfLable']=$this->CsdjSkins->str_encode($this->input->post('CS_SelfLable'));
            $data['CS_AddTime']=date('Y-m-d H:i:s');
            if(empty($data['CS_Name']) || empty($data['CS_SelfLable'])) $this->CsdjAdmin->Admin_Url('<font color=red>标签名称、标签内容、不能为空！</font>','javascript:history.back();');
            if(!ctype_alnum($data['CS_Name'])) $this->CsdjAdmin->Admin_Url('<font color=red>标签名称只能是数字或者字母！</font>','javascript:history.back();');

            if($data['CS_ID']==0 || empty($data['CS_ID'])){

                //检测标签是否存在
                $sql="SELECT * FROM ".CS_SqlPrefix."label where cs_name='".$data['CS_Name']."'";
	        $row=$this->CsdjDB->get_all($sql); 
	        if($row){
                    $this->CsdjAdmin->Admin_Url('<font color=red>抱歉，该名称标签已经存在！</font>','javascript:history.back();');
                }

                 $this->CsdjDB->get_insert('label',$data);
            }else{
                 $this->CsdjDB->get_update('label',$data['CS_ID'],$data);
            }
            $this->CsdjAdmin->Admin_Url('<font color=#0000ff>恭喜您，操作成功！</font>',site_url('admin/label/'),'ok');
        }

	public function dydel()
	{
            $this->CsdjAdmin->Admin_Qx('29');
	    $id = $this->uri->segment(4);
            if(empty($id)) $this->CsdjAdmin->Admin_Url('<font color=red>参数错误，ID为空！</font>',site_url('admin/label/'));


            $this->CsdjDB->get_del('label',$id);
            $this->CsdjAdmin->Admin_Url('<font color=#0000ff>恭喜您，删除成功！</font>',site_url('admin/label/'),'ok');
        }

	public function js()
	{
 	    $page = $this->input->get('page');
            if(empty($page)) $page=1;

	    $sql_string = "SELECT * FROM ".CS_SqlPrefix."ads order by CS_AddTime desc";
	    $query = $this->db->query($sql_string); 
	    $total = $query->num_rows();

            $base_url = site_url('admin/label/js/')."?";
	    $per_page = 20; 
            $totalPages = ceil($total / $per_page); // 总页数
	    $data['nums'] = $total;
            if($total<$per_page){
               $per_page=$total;
            }
            $sql_string.=' limit '. $per_page*($page-1) .','. $per_page;
	    $query = $this->db->query($sql_string);

	    $data['label'] = $query->result();
	    $data['pages'] = $this->CsdjAdmin->get_page($base_url,$totalPages,$page,10); //获取分页类

            $this->load->view('admin/label_js',$data);
        }

	public function jsadd()
	{
            $this->load->helper('string');
            $data['title']="新建";
            $data['CS_ID']="0";
            $data['CS_Js']=date('YmdHis').random_string('numeric', 5);
            $data['CS_Name']="";
            $data['CS_Neir']="";
            $data['CS_Html']="";
            $this->load->view('admin/label_js_edit',$data);
        }

	public function jsedit()
	{
	    $id = $this->uri->segment(4);
            if(empty($id)) $this->CsdjAdmin->Admin_Url('<font color=red>参数错误，ID为空！</font>',site_url('admin/label/js/'));
            $data['title']="修改";
            $sql="SELECT * FROM ".CS_SqlPrefix."ads where cs_id=".$id."";
	    $row=$this->CsdjDB->get_all($sql);

            $data['title']="修改";
            $data['CS_ID']=$row[0]->CS_ID;
            $data['CS_Js']=$row[0]->CS_Js;
            $data['CS_Name']=$row[0]->CS_Name;
            $data['CS_Neir']=$row[0]->CS_Neir;
            $data['CS_Html']=$row[0]->CS_Html;
            $this->load->view('admin/label_js_edit',$data);
        }

	public function jssave()
	{
            $this->CsdjAdmin->Admin_Qx('30');
            $data['CS_ID']=$this->input->post('CS_ID');
            $data['CS_Name']=strtolower($this->input->post('CS_Name'));
            $data['CS_Neir']=$this->input->post('CS_Neir');
            $data['CS_Js']=$this->input->post('CS_Js');
            $data['CS_Html']=$this->CsdjSkins->str_encode($this->input->post('CS_Html'));
            $data['CS_AddTime']=date('Y-m-d H:i:s');
            if(empty($data['CS_Name']) || empty($data['CS_Js']) || empty($data['CS_Html'])) $this->CsdjAdmin->Admin_Url('<font color=red>标签名称、JS地址、标签内容、不能为空！</font>','javascript:history.back();');
            if(!ctype_alnum($data['CS_Name'])) $this->CsdjAdmin->Admin_Url('<font color=red>标签名称只能是数字或者字母！</font>','javascript:history.back();');

            $file_ext = strtolower(trim(substr(strrchr($data['CS_Js'], '.'), 1)));
            if($file_ext!='js') $this->CsdjAdmin->Admin_Url('<font color=red>文件名只能是JS后缀！</font>','javascript:history.back();');

            if($data['CS_ID']==0 || empty($data['CS_ID'])){

                //检测标签是否存在
                $sql="SELECT * FROM ".CS_SqlPrefix."ads where cs_name='".$data['CS_Name']."'";
	        $row=$this->CsdjDB->get_all($sql); 
	        if($row){
                    $this->CsdjAdmin->Admin_Url('<font color=red>抱歉，该名称标签已经存在！</font>','javascript:history.back();');
                }
                 $this->CsdjDB->get_insert('ads',$data);
            }else{
                 $this->CsdjDB->get_update('ads',$data['CS_ID'],$data);
            }

               $strs=$this->CsdjAdmin->htmltojs($this->input->post('CS_Html'));
                //写文件
                if (!write_file('./attachment/js/'.$data['CS_Js'], $strs)){
                          $this->CsdjAdmin->Admin_Url('<font color=red>操作失败，文件没有写入权限！</font>',site_url('admin/label/js/'));
                }else{
                          $this->CsdjAdmin->Admin_Url('<font color=#0000ff>恭喜您，操作成功！</font>',site_url('admin/label/js/'),'ok');
                }
        }

	public function jsdel()
	{
            $this->CsdjAdmin->Admin_Qx('30');
	    $id = $this->uri->segment(4);
            if(empty($id)) $this->CsdjAdmin->Admin_Url('<font color=red>参数错误，ID为空！</font>',site_url('admin/label/js/'));

	    $row=$this->CsdjDB->get_select ('ads','CS_ID','*',''.$id.'');
	    if($row){
		     $jsurl=$row[0]->CS_Js;
                     $jsurl=".".Web_Path."attachment/js/".$jsurl;
	             if(file_exists($jsurl)){  //删除JS文件
		         @unlink($jsurl);
	             }
	    }

            $this->CsdjDB->get_del('ads',$id);
            $this->CsdjAdmin->Admin_Url('<font color=#0000ff>恭喜您，删除成功！</font>',site_url('admin/label/js/'),'ok');
        }

	public function jslook()
	{
            $data['js']=$this->input->get('id');
            $this->load->view('admin/label_js_look',$data);
        }


	public function page()
	{
 	    $page = $this->input->get('page');
            if(empty($page)) $page=1;

	    $sql_string = "SELECT * FROM ".CS_SqlPrefix."page order by CS_AddTime desc";
	    $query = $this->db->query($sql_string); 
	    $total = $query->num_rows();

            $base_url = site_url('admin/label/page/')."?";
	    $per_page = 20; 
            $totalPages = ceil($total / $per_page); // 总页数
	    $data['nums'] = $total;
            if($total<$per_page){
               $per_page=$total;
            }
            $sql_string.=' limit '. $per_page*($page-1) .','. $per_page;
	    $query = $this->db->query($sql_string);

	    $data['label'] = $query->result();
	    $data['pages'] = $this->CsdjAdmin->get_page($base_url,$totalPages,$page,10); //获取分页类

            $this->load->view('admin/label_page',$data);
        }

	public function pageadd()
	{
            $this->load->helper('string');
            $data['title']="新建";
            $data['CS_ID']="0";
            $data['CS_SID']="0";
            $data['CS_Name']="";
            $data['CS_Neir']="";
            $data['CS_Url']="diy";
            $data['CS_Html']="";
            $this->load->view('admin/label_page_edit',$data);
        }

	public function pageedit()
	{
	    $id = $this->uri->segment(4);
            if(empty($id)) $this->CsdjAdmin->Admin_Url('<font color=red>参数错误，ID为空！</font>',site_url('admin/label/page/'));
            $data['title']="修改";
            $sql="SELECT * FROM ".CS_SqlPrefix."page where cs_id=".$id."";
	    $row=$this->CsdjDB->get_all($sql);

            $data['title']="修改";
            $data['CS_ID']=$row[0]->CS_ID;
            $data['CS_SID']=$row[0]->CS_SID;
            $data['CS_Name']=$row[0]->CS_Name;
            $data['CS_Neir']=$row[0]->CS_Neir;
            $data['CS_Url']=$row[0]->CS_Url;
            $data['CS_Html']=$row[0]->CS_Html;
            $this->load->view('admin/label_page_edit',$data);
        }

	public function pagesave()
	{
            $this->CsdjAdmin->Admin_Qx('31');
            $data['CS_ID']=$this->input->post('CS_ID');
            $data['CS_Name']=strtolower($this->input->post('CS_Name'));
            $data['CS_Neir']=$this->input->post('CS_Neir');
            $data['CS_SID']=$this->input->post('CS_SID');
            $data['CS_Html']=$this->CsdjSkins->str_encode($this->input->post('CS_Html'));
            $data['CS_AddTime']=date('Y-m-d H:i:s');
            if(empty($data['CS_Name']) || empty($data['CS_Html'])) $this->CsdjAdmin->Admin_Url('<font color=red>名称、内容、不能为空！</font>','javascript:history.back();');
            if(!ctype_alnum($data['CS_Name'])) $this->CsdjAdmin->Admin_Url('<font color=red>标签名称只能是数字或者字母！</font>','javascript:history.back();');


            if($data['CS_ID']==0 || empty($data['CS_ID'])){

                $CS_Dir=$this->input->post('CS_Dir');
                $CS_FileName=$this->input->post('CS_FileName');
                $CS_FileExt=$this->input->post('CS_FileExt');
				if($CS_FileExt!='html' && $CS_FileExt!='htm' && $CS_FileExt!='shtm' && $CS_FileExt!='shtml' && $CS_FileExt!='xml') $CS_FileExt='html';
                $Url=Web_Path.$CS_Dir."/".$CS_FileName.".".$CS_FileExt;
                if(!preg_match("/^[a-z | 0-9 | A-Z| \.\-\_\/]+$/",$Url)) $this->CsdjAdmin->Admin_Url('<font color=#ff0000>抱歉，路径非法！</font>','javascript:history.back();');


                if($data['CS_SID']==1){  //静态
                       $data['CS_Url']="http://".Web_Url.str_replace("//","/",$Url);
					   //获得文件扩展名
	                   $file_ext = strtolower(trim(substr(strrchr($Url, '.'), 1)));
			           if($file_ext!='html' && $file_ext!='htm' && $file_ext!='shtml' && $file_ext!='shtm' && $file_ext!='xml') $this->CsdjAdmin->Admin_Url('<font color=#ff0000>抱歉，文件名非法！</font>','javascript:history.back();');
                }else{
                       $data['CS_Url']=Web_Path."index.php/page/index/".$data['CS_Name']."/";
                }

                //检测标签是否存在
                $sql="SELECT * FROM ".CS_SqlPrefix."page where cs_name='".$data['CS_Name']."'";
	        $row=$this->CsdjDB->get_all($sql); 
	        if($row){
                    $this->CsdjAdmin->Admin_Url('<font color=red>抱歉，该页面名称已经存在！</font>','javascript:history.back();');
                }
                //检测地址是否存在
                $sql="SELECT * FROM ".CS_SqlPrefix."page where cs_url='".$data['CS_Url']."'";
	        $row=$this->CsdjDB->get_all($sql); 
	        if($row){
                    $this->CsdjAdmin->Admin_Url('<font color=red>抱歉，该地址已经存在！</font>','javascript:history.back();');
                }
                $this->CsdjDB->get_insert('page',$data);
            }else{
                 $data['CS_Url']=$this->input->post('CS_Url');
                 $this->CsdjDB->get_update('page',$data['CS_ID'],$data);
            }
            $this->CsdjAdmin->Admin_Url('<font color=#0000ff>恭喜您，操作成功！</font>',site_url('admin/label/page/'),'ok');
        }

	public function pagedel()
	{
            $this->CsdjAdmin->Admin_Qx('31');
	    $id = $this->uri->segment(4);
            if(empty($id)) $this->CsdjAdmin->Admin_Url('<font color=red>参数错误，ID为空！</font>',site_url('admin/label/page/'));

	    $row=$this->CsdjDB->get_select ('page','CS_ID','*',''.$id.'');
	    if($row){
                 if($row[0]->CS_SID==1){
		     $pageurl=$row[0]->CS_Url;
                     $pageurl=".".str_replace("http://".Web_Url,"",$pageurl);
	             if(file_exists($pageurl)){  //删除页面文件
		         @unlink($pageurl);
	             }
                 }
	    }

            $this->CsdjDB->get_del('page',$id);
            $this->CsdjAdmin->Admin_Url('<font color=#0000ff>恭喜您，删除成功！</font>',site_url('admin/label/page/'),'ok');
        }

	public function topic()
	{
            $sid=$this->input->get('sid');

            $strs='<select name="LP_9" id="LP_9" size="1" style="width:180px;">';
            $strs.='<option value="0">---不指定专题---</option>';

                $sqlstr="select * from ".CS_SqlPrefix."topic where CS_SID=".$sid." and CS_YID=0 order by CS_ID desc";
		$result=$this->CsdjDB->db->query($sqlstr);
		$recount=$result->num_rows();
                if($recount>0){
			foreach ($result->result() as $row) {
                               $strs.='<option value='.$row->CS_ID.'>├'.$row->CS_Name.'</option>';
                        }
                }

            $strs.='</select>';
            echo $strs;
        }

	public function ajax()
	{
            $cid=$this->input->get('cid');

            $strs='<select name="LP_1" id="LP_1" size="1" style="width:150px;">';
            $strs.='<option value="all">全部分类</option>';

            if($cid==1 || $cid==2){ //歌曲/文章

                $sqlstr="select * from ".CS_SqlPrefix."class where CS_SID=".$cid." and CS_FID=0 and CS_YID=0 order by CS_XID desc";
		$result=$this->CsdjDB->db->query($sqlstr);
		$recount=$result->num_rows();
                if($recount>0){
			foreach ($result->result() as $row) {
                               $strs.='<option value='.$row->CS_ID.'>├'.$row->CS_Name.'</option>';

                               $sqlstrt="select * from ".CS_SqlPrefix."class where CS_SID=".$cid." and CS_FID=".$row->CS_ID." and CS_YID=0 order by CS_XID desc";
		               $resultt=$this->CsdjDB->db->query($sqlstrt);
		               $recountt=$resultt->num_rows();
                               if($recountt>0){
			              foreach ($resultt->result() as $rows) {
                                             $strs.='<option value='.$rows->CS_ID.'>│&nbsp;&nbsp;└ '.$rows->CS_Name.'</option>';
                                      }
                               }
                        }
                }

            }elseif($cid==3){ //视频

                $sqlstr="select * from ".CS_SqlPrefix."vlist where CS_FID=0 and CS_YID=0 order by CS_XID desc";
		$result=$this->CsdjDB->db->query($sqlstr);
		$recount=$result->num_rows();
                if($recount>0){
			foreach ($result->result() as $row) {
                               $strs.='<option value='.$row->CS_ID.'>├'.$row->CS_Name.'</option>';

                               $sqlstrt="select * from ".CS_SqlPrefix."vlist where CS_FID=".$row->CS_ID." and CS_YID=0 order by CS_XID desc";
		               $resultt=$this->CsdjDB->db->query($sqlstrt);
		               $recountt=$resultt->num_rows();
                               if($recountt>0){
			              foreach ($resultt->result() as $rows) {
                                             $strs.='<option value='.$rows->CS_ID.'>│&nbsp;&nbsp;└ '.$rows->CS_Name.'</option>';
                                      }
                               }
                        }
                }

            }elseif($cid==4){ //歌手

                $sqlstr="select * from ".CS_SqlPrefix."gslist where CS_YID=0 order by CS_XID desc";
		$result=$this->CsdjDB->db->query($sqlstr);
		$recount=$result->num_rows();
                if($recount>0){
			foreach ($result->result() as $row) {
                               $strs.='<option value='.$row->CS_ID.'>├'.$row->CS_Name.'</option>';
                        }
                }
            }

            $strs.='</select>';
            echo $strs;
        }

	public function form()
	{
            $ac=$this->input->get('ac');
            //全站通用标签
            if($ac=='Cs_cms'){
                echo "
		     <div class=\"Label\"><ul>
			<li><a href=\"#\" title=\"网站名称\" onclick=\"InsertValue('{cscms:webname}');\">网站名称</a></li>
			<li><a href=\"#\" title=\"网站域名\" onclick=\"InsertValue('{cscms:weburl}');\">网站域名</a></li>
			<li><a href=\"#\" title=\"网站路径\" onclick=\"InsertValue('{cscms:path}');\">网站路径</a></li>
			<li><a href=\"#\" title=\"网站统计\" onclick=\"InsertValue('{cscms:stat}');\">网站统计</a></li>
			<li><a href=\"#\" title=\"网站公告\" onclick=\"InsertValue('{cscms:notice}');\">网站公告</a></li>
			<li><a href=\"#\" title=\"SEO标题\" onclick=\"InsertValue('{cscms:title}');\">SEO标题</a></li>
			<li><a href=\"#\" title=\"SEO关键词\" onclick=\"InsertValue('{cscms:keywords}');\">SEO关键词</a></li>
			<li><a href=\"#\" title=\"SEO介绍\" onclick=\"InsertValue('{cscms:description}');\">SEO介绍</a></li>
			<li><a href=\"#\" title=\"热门搜索\" onclick=\"InsertValue('{cscms:keyword}');\">热门搜索</a></li>
			<li><a href=\"#\" title=\"站长EMAIL\" onclick=\"InsertValue('{cscms:mail}');\">站长EMAIL</a></li>
			<li><a href=\"#\" title=\"站长QQ\" onclick=\"InsertValue('{cscms:qq}');\">站长QQ</a></li>
			<li><a href=\"#\" title=\"站长电话\" onclick=\"InsertValue('{cscms:tel}');\">站长电话</a></li>
			<li><a href=\"#\" title=\"模版路径\" onclick=\"InsertValue('{cscms:tempurl}');\">模版路径</a></li>
			<li><a href=\"#\" title=\"网站备案号\" onclick=\"InsertValue('{cscms:icp}');\">网站备案号</a></li>

			<li><a href=\"#\" title=\"网站留言连接\" onclick=\"InsertValue('{cscms:gbooklink}');\">网站留言连接</a></li>
			<li><a href=\"#\" title=\"随便听听连接\" onclick=\"InsertValue('{cscms:lblink}');\">随便听听连接</a></li>
			<li><a href=\"#\" title=\"会员模型主页\" onclick=\"InsertValue('{cscms:userlink}');\">会员模型主页</a></li>
			<li><a href=\"#\" title=\"歌曲专集主页\" onclick=\"InsertValue('{cscms:topiclink}');\">歌曲专集主页</a></li>
			<li><a href=\"#\" title=\"歌曲模型主页\" onclick=\"InsertValue('{cscms:dancelink}');\">歌曲模型主页</a></li>
			<li><a href=\"#\" title=\"文章模型主页\" onclick=\"InsertValue('{cscms:newslink}');\">文章模型主页</a></li>
			<li><a href=\"#\" title=\"歌手模型主页\" onclick=\"InsertValue('{cscms:singerlink}');\">歌手模型主页</a></li>
			<li><a href=\"#\" title=\"视频模型主页\" onclick=\"InsertValue('{cscms:vodlink}');\">视频模型主页</a></li>

			<li><a href=\"#\" title=\"歌曲总数量\" onclick=\"InsertValue('{cscms:dcount}');\">歌曲总数量</a></li>
			<li><a href=\"#\" title=\"今日歌曲数量\" onclick=\"InsertValue('{cscms:dcountday}');\">今日歌曲数量</a></li>
			<li><a href=\"#\" title=\"视频总数量\" onclick=\"InsertValue('{cscms:vcount}');\">视频总数量</a></li>
			<li><a href=\"#\" title=\"今日视频数量\" onclick=\"InsertValue('{cscms:vcountday}');\">今日视频数量</a></li>
			<li><a href=\"#\" title=\"文章总数量\" onclick=\"InsertValue('{cscms:ncount}');\">文章总数量</a></li>
			<li><a href=\"#\" title=\"今日文章数量\" onclick=\"InsertValue('{cscms:ncountday}');\">今日文章数量</a></li>
			<li><a href=\"#\" title=\"会员总数量\" onclick=\"InsertValue('{cscms:ucount}');\">会员总数量</a></li>
			<li><a href=\"#\" title=\"今日注册会员数量\" onclick=\"InsertValue('{cscms:ucountday}');\">今日会员数量</a></li>
		     </ul></div>
                ";

            }elseif($ac=="Cs_vod"){
                echo "
		<div style=\"line-height:26px;padding:3px 0;\">·循环内容可选字段标签:&nbsp;&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(1);\">A标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(2);\">IMG标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;div&gt;&lt;/div&gt;');\">DIV标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;ul&gt;&lt;/ul&gt;');\">UL标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;li&gt;&lt;/li&gt;');\">LI标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;span&gt;&lt;/span&gt;');\">SPAN标签</a>]</div>
		<div class=\"Label\"><ul>
			<li><a href=\"#\" title=\"取得行号标签\" onclick=\"InsertValue('[play:i]');\">排 序 号</a></li>
			<li><a href=\"#\" title=\"该组来源名称\" onclick=\"InsertValue('[play:name]');\">来源名称</a></li>
			<li><a href=\"#\" title=\"该组来源集数\" onclick=\"InsertValue('[play:num]');\">该组集数</a></li>
		     </ul></div>
                ";

            }elseif($ac=="Cs_page"){
                echo "
		<div style=\"line-height:26px;padding:3px 0;\">·循环内容可选字段标签:&nbsp;&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(1);\">A标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(2);\">IMG标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;div&gt;&lt;/div&gt;');\">DIV标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;ul&gt;&lt;/ul&gt;');\">UL标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;li&gt;&lt;/li&gt;');\">LI标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;span&gt;&lt;/span&gt;');\">SPAN标签</a>]</div>
		<div class=\"Label\"><ul>
			<li><a href=\"#\" title=\"总页数\" onclick=\"InsertValue('{cscms:pagecout}');\">总页数</a></li>
			<li><a href=\"#\" title=\"总数量\" onclick=\"InsertValue('{cscms:pagedata}');\">总数量</a></li>
			<li><a href=\"#\" title=\"当前页\" onclick=\"InsertValue('{cscms:pagenow}');\">当前页</a></li>
			<li><a href=\"#\" title=\"多少条一页\" onclick=\"InsertValue('{cscms:pagesize}');\">多少条一页</a></li>
			<li><a href=\"#\" title=\"上一页\" onclick=\"InsertValue('&lt;a href={cscms:pageup}&gt;上一页&lt;/a&gt;');\">上一页</a></li>
			<li><a href=\"#\" title=\"下一页\" onclick=\"InsertValue('&lt;a href={cscms:pagedown}&gt;下一页&lt;/a&gt;');\">下一页</a></li>
			<li><a href=\"#\" title=\"首页\" onclick=\"InsertValue('&lt;a href={cscms:pagefirst}&gt;首页&lt;/a&gt;');\">首页</a></li>
			<li><a href=\"#\" title=\"尾页\" onclick=\"InsertValue('&lt;a href={cscms:pagelast}&gt;尾页&lt;/a&gt;');\">尾页</a></li>
			<li><a href=\"#\" title=\"翻页标签\" onclick=\"InsertValue('{cscms:pagelist}');\">翻页标签</a></li>
			<li><a href=\"#\" title=\"显示页数\" onclick=\"InsertValue('{cscms:pagenum len=8}');\">显示页数</a></li>
		     </ul></div>
                ";

            }elseif($ac=="Cs_self"){
                echo "
		     <div class=\"Label\"><ul>";

                     $sqlstr="select * from ".CS_SqlPrefix."label order by CS_ID desc";
		     $result=$this->CsdjDB->db->query($sqlstr);
		     $recount=$result->num_rows();
                     if($recount>0){
			foreach ($result->result() as $row) {
			    echo "<li><a href=\"#\" title=\"自定义静态标签\" onclick=\"InsertValue('{cscmsself:".$row->CS_Name."}');\">".$row->CS_Name."</a></li>";
                        }
                     }

                echo "
		     </ul></div>
                ";

            }elseif($ac=="Cs_js"){
                echo "
		     <div class=\"Label\"><ul>";

                     $sqlstr="select * from ".CS_SqlPrefix."ads order by CS_ID desc";
		     $result=$this->CsdjDB->db->query($sqlstr);
		     $recount=$result->num_rows();
                     if($recount>0){
			foreach ($result->result() as $row) {
			    echo "<li><a href=\"#\" title=\"自定义静态标签\" onclick=\"InsertValue('{cscmsjs:".$row->CS_Name."}');\">".$row->CS_Name."</a></li>";
                        }
                     }

                echo "
		     </ul></div>
                ";

            }elseif($ac=="Cs_class"){

                echo "<!--网站导航调用标签开始-->
		<div style=\"line-height:26px\"><ul>
			<li>·调用模块:<select name=\"LP_11\" id=\"LP_11\" size=\"1\" style=\"width:136px;\" onChange=\"showclass('LP_11','LP_0');\">
			<option value=\"0\">=== 请选择模块 ===</option><option value=\"1\">歌曲分类</option><option value=\"2\">文章分类</option><option value=\"3\">视频分类</option><option value=\"4\">歌手分类</option>
		        </select>&nbsp;&nbsp;调用栏目:<span id=\"select_LP_0\"><font color=\"red\">←请先选择模块</font></span>
                        </li>
			<li>·显示顺序:<select name=\"LP_4\" id=\"LP_4\" size=\"1\" style=\"width:136px;\">
				<option value=\"desc\">顺序</option><option value=\"asc\">倒序</option></select>&nbsp;
		        调用数量:<input type=\"text\" name=\"LP_0\" id=\"LP_0\" style=\"width:60px;\" value=\"10\" onkeyup=\"this.value=this.value.replace(/[^\d]/g,'')\" onbeforepaste=\"clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))\">&nbsp;&nbsp;<font color=red>只对全部分类有效</font></li>
                </ul>
		</div>
		<div style=\"line-height:26px;padding:3px 0;\">·循环内容可选字段标签:&nbsp;&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(1);\">A标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(2);\">IMG标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;div&gt;&lt;/div&gt;');\">DIV标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;ul&gt;&lt;/ul&gt;');\">UL标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;li&gt;&lt;/li&gt;');\">LI标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;span&gt;&lt;/span&gt;');\">SPAN标签</a>]</div>
		<div class=\"Label\">
                      <ul>
			<li><a href=\"#\" title=\"取得行号标签\" onclick=\"InsertValue('[link:i]');\">排 序 号</a></li>
			<li><a href=\"#\" title=\"分类ID\" onclick=\"InsertValue('[class:id]');\">分类ID</a></li>
			<li><a href=\"#\" title=\"分类名称\" onclick=\"InsertValue('[class:name]');\">分类名称</a></li>
			<li><a href=\"#\" title=\"分类数量\" onclick=\"InsertValue('[class:count]');\">分类数量</a></li>
			<li><a href=\"#\" title=\"分类日数量\" onclick=\"InsertValue('[class:daycount]');\">分类日数量</a></li>
			<li><a href=\"#\" title=\"分类连接\" onclick=\"InsertValue('[class:link]');\">分类连接</a></li>
			<li><a href=\"#\" title=\"按最新连接\" onclick=\"InsertValue('[class:nlink]');\">按最新连接</a></li>
			<li><a href=\"#\" title=\"按人气连接\" onclick=\"InsertValue('[class:hlink]');\">按人气连接</a></li>
			<li><a href=\"#\" title=\"按月排行连接\" onclick=\"InsertValue('[class:ylink]');\">按月排行连接</a></li>
			<li><a href=\"#\" title=\"按周排行连接\" onclick=\"InsertValue('[class:zlink]');\">按周排行连接</a></li>
			<li><a href=\"#\" title=\"按日排行连接\" onclick=\"InsertValue('[class:rlink]');\">按日排行连接</a></li>
			<li><a href=\"#\" title=\"按推荐排行连接\" onclick=\"InsertValue('[class:tlink]');\">推荐排行连接</a></li>
                      </ul>
		</div>
                ";

            }elseif($ac=="Cs_link"){

                echo "<!--网站链接调用标签开始-->
		<div style=\"line-height:26px\"><ul>
			<li>·调用数量:<input type=\"text\" name=\"LP_0\" id=\"LP_0\" style=\"width:60px;\" value=\"10\" onkeyup=\"this.value=this.value.replace(/[^\d]/g,'')\" onbeforepaste=\"clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))\">&nbsp;&nbsp;
			调用类型:<select name=\"LP_1\" id=\"LP_1\" size=\"1\" style=\"width:136px;\">
			<option value=\"1\">文本链接</option><option value=\"2\">LOGO链接</option>
		</select></li></ul>
		</div>
		<div style=\"line-height:26px;padding:3px 0;\">·循环内容可选字段标签:&nbsp;&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(1);\">A标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(2);\">IMG标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;div&gt;&lt;/div&gt;');\">DIV标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;ul&gt;&lt;/ul&gt;');\">UL标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;li&gt;&lt;/li&gt;');\">LI标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;span&gt;&lt;/span&gt;');\">SPAN标签</a>]</div>
		<div class=\"Label\"><ul>
			<li><a href=\"#\" title=\"链接ID\" onclick=\"InsertValue('[link:id]');\">链接ID</a></li>
			<li><a href=\"#\" title=\"链接网站名称\" onclick=\"InsertValue('[link:name]');\">网站名称</a></li>
			<li><a href=\"#\" title=\"链接网站Url\" onclick=\"InsertValue('[link:url]');\">网址Url</a></li>
			<li><a href=\"#\" title=\"网站LOGO的Url\" onclick=\"InsertValue('[link:pic]');\">Logo的Url</a></li>
			<li><a href=\"#\" title=\"取得行号标签\" onclick=\"InsertValue('[link:i]');\">排 序 号</a></li></ul>
		</div>
                ";

            }elseif($ac=="Cs_topic"){

                echo "<!--网站专题调用标签开始-->
		<div style=\"line-height:26px\"><ul>
			<li>·调用数量:<input type=\"text\" name=\"LP_0\" id=\"LP_0\" style=\"width:60px;\" value=\"10\" onkeyup=\"this.value=this.value.replace(/[^\d]/g,'')\" onbeforepaste=\"clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))\">&nbsp;&nbsp;
			调用模块:<select name=\"LP_1\" id=\"LP_1\" size=\"1\" style=\"width:100px;\">
			<option value=\"1\">歌曲</option><option value=\"3\">视频</option><option value=\"2\">文章</option>
		        </select>&nbsp;&nbsp;
                               ·排列次序:<select name=\"LP_3\" id=\"LP_3\" size=\"1\" style=\"width:100px;\">
				<option value=\"id\">按ID</option><option value=\"time\">按更新时间</option><option value=\"hits\">按总点击数</option><option value=\"yhits\">按月点击数</option><option value=\"zhits\">按周点击数</option><option value=\"yhits\">按日点击数</option></select>&nbsp;
				<select name=\"LP_4\" id=\"LP_4\" size=\"1\" style=\"width:56px;\">
				<option value=\"desc\">顺序</option><option value=\"asc\">倒序</option></select>
                        </li>
			<li>·推荐星际:
				<label><input type=\"checkbox\" name=\"LP_2\" id=\"LP_2\" value=\"1\">★☆☆☆☆</label>&nbsp;
				<label><input type=\"checkbox\" name=\"LP_2\" id=\"LP_2\" value=\"2\">★★☆☆☆</label>&nbsp;
				<label><input type=\"checkbox\" name=\"LP_2\" id=\"LP_2\" value=\"3\">★★★☆☆</label>&nbsp;
				<label><input type=\"checkbox\" name=\"LP_2\" id=\"LP_2\" value=\"4\">★★★★☆</label>&nbsp;
				<label><input type=\"checkbox\" name=\"LP_2\" id=\"LP_2\" value=\"5\">★★★★★</label>
                        </li>
                </ul></div>
		<div style=\"line-height:26px\"><ul>
			<li>·名称长度:<input type=\"text\" name=\"LP_5\" id=\"LP_5\" style=\"width:30px;\" value=\"0\" onkeyup=\"this.value=this.value.replace(/[^\d]/g,'')\" onbeforepaste=\"clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))\">&nbsp;&nbsp;
			内容长度:<input type=\"text\" name=\"LP_6\" id=\"LP_6\" style=\"width:30px;\" value=\"0\" onkeyup=\"this.value=this.value.replace(/[^\d]/g,'')\" onbeforepaste=\"clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))\">&nbsp;&nbsp;<font color=red>0为不限制</font>&nbsp;&nbsp;
			开始行数:<input type=\"text\" name=\"LP_8\" id=\"LP_8\" style=\"width:30px;\" value=\"1\" onkeyup=\"this.value=this.value.replace(/[^\d]/g,'')\" onbeforepaste=\"clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			时间样式:<select name=\"LP_7\" id=\"LP_7\" size=\"1\" style=\"width:120px;\">
				<option value=\"20[topic:time style=y-m-d h:f:s]\">2009-09-10 12:25:54</option><option value=\"20[topic:time style=y-m-d]\" Selected>2009-09-10</option><option value=\"20[topic:time style=y].[topic:time style=m].[topic:time style=d]\">2009.09.10</option><option value=\"20[topic:time style=y]/[topic:time style=m]/[topic:time style=d]\">2009/09/10</option><option value=\"20[topic:time style=y]年[topic:time style=m]月[topic:time style=d]日\">2009年09月10日</option><option value=\"[topic:time style=m-d]\">09-10</option><option value=\"[topic:time style=m-d h:f]\">09-10 12:25</option><option value=\"[topic:time style=m]/[topic:time style=d]\">09/10</option><option value=\"[topic:time style=m].[topic:time style=d]\">09.10</option><option value=\"[topic:time style=m]月[topic:time style=d]日\">09月10日</option><option value=\"[topic:time style=m]月[topic:time style=d]日[topic:time style=h]时[topic:time style=f]分\">09月10日12时25分</option></select>
                        </li>
		</ul></div>
		<div style=\"line-height:26px;padding:3px 0;\">·循环内容可选字段标签:&nbsp;&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;font color=\'\'&gt;&lt;/font&gt;');\">颜色标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(1);\">A标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(2);\">IMG标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;div&gt;&lt;/div&gt;');\">DIV标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;ul&gt;&lt;/ul&gt;');\">UL标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;li&gt;&lt;/li&gt;');\">LI标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;span&gt;&lt;/span&gt;');\">SPAN标签</a>]</div>
		<div class=\"Label\"><ul>
			<li><a href=\"#\" title=\"取得行号标签\" onclick=\"InsertValue('[topic:i]');\">排 序 号</a></li>
			<li><a href=\"#\" title=\"专题ID\" onclick=\"InsertValue('[topic:id]');\">专题ID</a></li>
			<li><a href=\"#\" title=\"专题名称\" onclick=\"InsertValue('[topic:name]');\">专题名称</a></li>
			<li><a href=\"#\" title=\"名称颜色\" onclick=\"InsertValue('[topic:color]');\">名称颜色</a></li>
			<li><a href=\"#\" title=\"专题Url\" onclick=\"InsertValue('[topic:link]');\">专题连接</a></li>
			<li><a href=\"#\" title=\"专题图片\" onclick=\"InsertValue('[topic:pic]');\">专题图片</a></li>
			<li><a href=\"#\" title=\"推荐星际\" onclick=\"InsertValue('[topic:stars]');\">推荐星际</a></li>
			<li><a href=\"#\" title=\"总人气\" onclick=\"InsertValue('[topic:hits]');\">总人气</a></li>
			<li><a href=\"#\" title=\"月人气\" onclick=\"InsertValue('[topic:yhits]');\">月人气</a></li>
			<li><a href=\"#\" title=\"周人气\" onclick=\"InsertValue('[topic:zhits]');\">周人气</a></li>
			<li><a href=\"#\" title=\"日人气\" onclick=\"InsertValue('[topic:rhits]');\">日人气</a></li>
			<li><a href=\"#\" title=\"发行公司\" onclick=\"InsertValue('[topic:fxgs]');\">发行公司</a></li>
			<li><a href=\"#\" title=\"专题年份\" onclick=\"InsertValue('[topic:year]');\">专题年份</a></li>
			<li><a href=\"#\" title=\"专题语言\" onclick=\"InsertValue('[topic:yuyan]');\">专题语言</a></li>
			<li><a href=\"#\" title=\"专题地区\" onclick=\"InsertValue('[topic:diqu]');\">专题地区</a></li>
			<li><a href=\"#\" title=\"所属会员名称\" onclick=\"InsertValue('[topic:uname]');\">会员名称</a></li>
			<li><a href=\"#\" title=\"所属会员呢称\" onclick=\"InsertValue('[topic:unichen]');\">会员呢称</a></li>
			<li><a href=\"#\" title=\"所属会员连接\" onclick=\"InsertValue('[topic:ulink]');\">会员连接</a></li>
			<li><a href=\"#\" title=\"所属会员头像\" onclick=\"InsertValue('[topic:upic]');\">会员头像</a></li>
			<li><a href=\"#\" title=\"专题时间\" onclick=\"InsertValue('[topic:time]');\">专题时间</a></li>
                </ul>
		</div>
                ";

            }elseif($ac=="Cs_data"){

                echo "<!--网站数据调用标签开始-->
		<div style=\"line-height:26px\"><ul>
			<li>·调用数量:<input type=\"text\" name=\"LP_0\" id=\"LP_0\" style=\"width:60px;\" value=\"10\" onkeyup=\"this.value=this.value.replace(/[^\d]/g,'')\" onbeforepaste=\"clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))\">&nbsp;&nbsp;
			调用模块:<select name=\"LP_12\" id=\"LP_12\" size=\"1\" style=\"width:136px;\" onChange=\"showclass('LP_12','LP_0');\">
			<option value=\"0\">=== 请选择模块 ===</option><option value=\"1\">歌曲模块</option><option value=\"2\">文章模块</option><option value=\"3\">视频模块</option><option value=\"4\">歌手模块</option>
		        </select>&nbsp;&nbsp;调用栏目:<span id=\"select_LP_0\"><font color=\"red\">←请先选择模块</font></span>
                        </li>
			<li>·排列次序:<select name=\"LP_3\" id=\"LP_3\" size=\"1\" style=\"width:100px;\">
				<option value=\"id\">按ID</option><option value=\"time\">按更新时间</option><option value=\"hits\">按总点击数</option><option value=\"yhits\">按月点击数</option><option value=\"zhits\">按周点击数</option><option value=\"yhits\">按日点击数</option><option value=\"shits\">按收藏数</option><option value=\"xhits\">按下载数</option><option value=\"dhits\">按被顶数</option></select>&nbsp;
				<select name=\"LP_4\" id=\"LP_4\" size=\"1\" style=\"width:56px;\">
				<option value=\"desc\">顺序</option><option value=\"asc\">倒序</option></select>&nbsp;&nbsp;
			<span id=\"xing2\" style=\"display:none\">·按字母显示:<select name=\"LP_11\" id=\"LP_11\" size=\"1\" style=\"width:100px;\">
				<option value=\"all\">不指定字母</option>
				<option value=\"A\">A</option>
				<option value=\"B\">B</option>
				<option value=\"C\">C</option>
				<option value=\"D\">D</option>
				<option value=\"E\">E</option>
				<option value=\"F\">F</option>
				<option value=\"G\">G</option>
				<option value=\"H\">H</option>
				<option value=\"I\">I</option>
				<option value=\"J\">J</option>
				<option value=\"K\">K</option>
				<option value=\"L\">L</option>
				<option value=\"M\">M</option>
				<option value=\"N\">N</option>
				<option value=\"O\">O</option>
				<option value=\"P\">P</option>
				<option value=\"Q\">Q</option>
				<option value=\"R\">R</option>
				<option value=\"S\">S</option>
				<option value=\"T\">T</option>
				<option value=\"U\">U</option>
				<option value=\"V\">V</option>
				<option value=\"W\">W</option>
				<option value=\"X\">X</option>
				<option value=\"Y\">Y</option>
				<option value=\"Z\">Z</option></select>&nbsp;&nbsp;是否推荐：
				<select name=\"LP_10\" id=\"LP_10\" size=\"1\" style=\"width:96px;\">
				<option value=\"0\">显示全部</option><option value=\"1\">只显示推荐</option></select>
                        </span>
			<span id=\"topic\" style=\"display:none\">·调用专题:
				<span id=\"tlist\"><select name=\"LP_9\" id=\"LP_9\" size=\"1\" style=\"width:136px;\"><option value=\"0\">不指定专题</option></select></span>
                        </span>
                        </li>
			<li id=\"xing\">·推荐星际:
				<label><input type=\"checkbox\" name=\"LP_2\" id=\"LP_2\" value=\"1\">★☆☆☆☆</label>&nbsp;
				<label><input type=\"checkbox\" name=\"LP_2\" id=\"LP_2\" value=\"2\">★★☆☆☆</label>&nbsp;
				<label><input type=\"checkbox\" name=\"LP_2\" id=\"LP_2\" value=\"3\">★★★☆☆</label>&nbsp;
				<label><input type=\"checkbox\" name=\"LP_2\" id=\"LP_2\" value=\"4\">★★★★☆</label>&nbsp;
				<label><input type=\"checkbox\" name=\"LP_2\" id=\"LP_2\" value=\"5\">★★★★★</label>
                        </li>
                </ul></div>
		<div style=\"line-height:26px\"><ul>
			<li>·名称长度:<input type=\"text\" name=\"LP_5\" id=\"LP_5\" style=\"width:30px;\" value=\"0\" onkeyup=\"this.value=this.value.replace(/[^\d]/g,'')\" onbeforepaste=\"clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))\">&nbsp;&nbsp;
			内容长度:<input type=\"text\" name=\"LP_6\" id=\"LP_6\" style=\"width:30px;\" value=\"0\" onkeyup=\"this.value=this.value.replace(/[^\d]/g,'')\" onbeforepaste=\"clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))\">&nbsp;&nbsp;<font color=red>0为不限制</font>&nbsp;&nbsp;
			开始行数:<input type=\"text\" name=\"LP_8\" id=\"LP_8\" style=\"width:30px;\" value=\"1\" onkeyup=\"this.value=this.value.replace(/[^\d]/g,'')\" onbeforepaste=\"clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			时间样式:<select name=\"LP_7\" id=\"LP_7\" size=\"1\" style=\"width:120px;\">
				<option value=\"20[moxing:time style=y-m-d h:f:s]\">2009-09-10 12:25:54</option><option value=\"20[moxing:time style=y-m-d]\" Selected>2009-09-10</option><option value=\"20[moxing:time style=y].[moxing:time style=m].[moxing:time style=d]\">2009.09.10</option><option value=\"20[moxing:time style=y]/[moxing:time style=m]/[moxing:time style=d]\">2009/09/10</option><option value=\"20[moxing:time style=y]年[moxing:time style=m]月[moxing:time style=d]日\">2009年09月10日</option><option value=\"[moxing:time style=m-d]\">09-10</option><option value=\"[moxing:time style=m-d h:f]\">09-10 12:25</option><option value=\"[moxing:time style=m]/[moxing:time style=d]\">09/10</option><option value=\"[moxing:time style=m].[moxing:time style=d]\">09.10</option><option value=\"[moxing:time style=m]月[moxing:time style=d]日\">09月10日</option><option value=\"[moxing:time style=m]月[moxing:time style=d]日[moxing:time style=h]时[moxing:time style=f]分\">09月10日12时25分</option></select>
                        </li>
		</ul></div>
		<div style=\"line-height:26px\"><ul>
			<li>·是否分页:<select name=\"LP_13\" id=\"LP_13\" size=\"1\" style=\"width:136px;\"><option value=\"1\">不分页</option><option value=\"2\">分页</option></select>&nbsp;&nbsp;&nbsp;
                        <font color=red>注意：分页标签只能用在数据分类和搜索页面</font>
                        </li>
		</ul></div>
		<div style=\"line-height:26px;padding:3px 0;\">·循环内容可选字段标签:&nbsp;&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;font color=\'\'&gt;&lt;/font&gt;');\">颜色标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(1);\">A标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertCustomValue(2);\">IMG标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;div&gt;&lt;/div&gt;');\">DIV标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;ul&gt;&lt;/ul&gt;');\">UL标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;li&gt;&lt;/li&gt;');\">LI标签</a>]&nbsp;[<a href=\"#\" onclick=\"InsertValue('&lt;span&gt;&lt;/span&gt;');\">SPAN标签</a>]</div>
		<div class=\"Label\">
                    <ul id=\"dance\" style=\"display:none\">
			<li><a href=\"#\" title=\"取得行号标签\" onclick=\"InsertValue('[dance:i]');\">排 序 号</a></li>
			<li><a href=\"#\" title=\"歌曲ID\" onclick=\"InsertValue('[dance:id]');\">歌曲ID</a></li>
			<li><a href=\"#\" title=\"歌曲名称\" onclick=\"InsertValue('[dance:name]');\">歌曲名称</a></li>
			<li><a href=\"#\" title=\"名称颜色\" onclick=\"InsertValue('[dance:color]');\">名称颜色</a></li>
			<li><a href=\"#\" title=\"歌曲Url\" onclick=\"InsertValue('[dance:link]');\">歌曲连接</a></li>
			<li><a href=\"#\" title=\"推荐星际\" onclick=\"InsertValue('[dance:stars]');\">推荐星际</a></li>
			<li><a href=\"#\" title=\"歌曲图片\" onclick=\"InsertValue('[dance:pic]');\">歌曲图片</a></li>
			<li><a href=\"#\" title=\"总人气\" onclick=\"InsertValue('[dance:hits]');\">总人气</a></li>
			<li><a href=\"#\" title=\"月人气\" onclick=\"InsertValue('[dance:yhits]');\">月人气</a></li>
			<li><a href=\"#\" title=\"周人气\" onclick=\"InsertValue('[dance:zhits]');\">周人气</a></li>
			<li><a href=\"#\" title=\"日人气\" onclick=\"InsertValue('[dance:rhits]');\">日人气</a></li>
			<li><a href=\"#\" title=\"下载人气\" onclick=\"InsertValue('[dance:xhits]');\">下载人气</a></li>
			<li><a href=\"#\" title=\"收藏人气\" onclick=\"InsertValue('[dance:shits]');\">收藏人气</a></li>
			<li><a href=\"#\" title=\"被顶人气\" onclick=\"InsertValue('[dance:dhits]');\">被顶人气</a></li>
			<li><a href=\"#\" title=\"被踩人气\" onclick=\"InsertValue('[dance:chits]');\">被踩人气</a></li>
			<li><a href=\"#\" title=\"歌曲年份\" onclick=\"InsertValue('[dance:year]');\">歌曲年份</a></li>
			<li><a href=\"#\" title=\"歌曲所属歌手\" onclick=\"InsertValue('[dance:singer]');\">所属歌手</a></li>
			<li><a href=\"#\" title=\"歌曲标签\" onclick=\"InsertValue('[dance:tags]');\">歌曲标签</a></li>

			<li><a href=\"#\" title=\"歌曲分类ID\" onclick=\"InsertValue('[dance:classid]');\">歌曲分类ID</a></li>
			<li><a href=\"#\" title=\"歌曲分类名称\" onclick=\"InsertValue('[dance:classname]');\">歌曲分类名称</a></li>
			<li><a href=\"#\" title=\"歌曲分类连接\" onclick=\"InsertValue('[dance:classname]');\">歌曲分类连接</a></li>
			<li><a href=\"#\" title=\"按最新连接\" onclick=\"InsertValue('[dance:nlink]');\">按最新连接</a></li>
			<li><a href=\"#\" title=\"按人气连接\" onclick=\"InsertValue('[dance:hlink]');\">按人气连接</a></li>
			<li><a href=\"#\" title=\"按月排行连接\" onclick=\"InsertValue('[dance:ylink]');\">按月排行连接</a></li>
			<li><a href=\"#\" title=\"按周排行连接\" onclick=\"InsertValue('[dance:zlink]');\">按周排行连接</a></li>
			<li><a href=\"#\" title=\"按日排行连接\" onclick=\"InsertValue('[dance:rlink]');\">按日排行连接</a></li>
			<li><a href=\"#\" title=\"按下载排行连接\" onclick=\"InsertValue('[dance:xlink]');\">下载排行连接</a></li>
			<li><a href=\"#\" title=\"按收藏排行连接\" onclick=\"InsertValue('[dance:slink]');\">收藏排行连接</a></li>
			<li><a href=\"#\" title=\"按被顶排行连接\" onclick=\"InsertValue('[dance:dlink]');\">被顶排行连接</a></li>
			<li><a href=\"#\" title=\"大家正在听连接\" onclick=\"InsertValue('[dance:plink]');\">大家正在听</a></li>
			<li><a href=\"#\" title=\"按推荐排行连接\" onclick=\"InsertValue('[dance:tlink]');\">推荐排行连接</a></li>

			<li><a href=\"#\" title=\"歌曲评论\" onclick=\"InsertValue('[dance:pl]');\">歌曲评论</a></li>
			<li><a href=\"#\" title=\"歌曲大小\" onclick=\"InsertValue('[dance:dx]');\">歌曲大小</a></li>
			<li><a href=\"#\" title=\"歌曲音质\" onclick=\"InsertValue('[dance:dx]');\">歌曲音质</a></li>
			<li><a href=\"#\" title=\"歌曲时长\" onclick=\"InsertValue('[dance:sc]');\">歌曲时长</a></li>
			<li><a href=\"#\" title=\"歌曲下载权限\" onclick=\"InsertValue('[dance:xzqx]');\">下载权限</a></li>
			<li><a href=\"#\" title=\"歌曲URL地址\" onclick=\"InsertValue('[dance:url]');\">歌曲URL地址</a></li>
			<li><a href=\"#\" title=\"歌曲绝对地址\" onclick=\"InsertValue('[dance:qurl]');\">歌曲绝对地址</a></li>
			<li><a href=\"#\" title=\"歌曲播放器\" onclick=\"InsertValue('[dance:player]');\">歌曲播放器</a></li>
			<li><a href=\"#\" title=\"歌曲歌词/介绍\" onclick=\"InsertValue('[dance:content]');\">歌词/介绍</a></li>
			<li><a href=\"#\" title=\"歌曲更新时间\" onclick=\"InsertValue('[dance:time]');\">更新时间</a></li>

			<li><a href=\"#\" title=\"歌曲收藏连接\" onclick=\"InsertValue('[dance:favlink]');\">收藏连接</a></li>
			<li><a href=\"#\" title=\"歌曲下载连接\" onclick=\"InsertValue('[dance:downlink]');\">下载连接</a></li>
			<li><a href=\"#\" title=\"歌曲报错连接\" onclick=\"InsertValue('[dance:errorlink]');\">报错连接</a></li>

			<li><a href=\"#\" title=\"所属会员名称\" onclick=\"InsertValue('[dance:uname]');\">会员名称</a></li>
			<li><a href=\"#\" title=\"所属会员呢称\" onclick=\"InsertValue('[dance:unichen]');\">会员呢称</a></li>
			<li><a href=\"#\" title=\"所属会员连接\" onclick=\"InsertValue('[dance:ulink]');\">会员连接</a></li>
			<li><a href=\"#\" title=\"所属会员头像\" onclick=\"InsertValue('[dance:upic]');\">会员头像</a></li>
                    </ul>

                    <ul id=\"news\" style=\"display:none\">
			<li><a href=\"#\" title=\"取得行号标签\" onclick=\"InsertValue('[news:i]');\">排 序 号</a></li>
			<li><a href=\"#\" title=\"文章ID\" onclick=\"InsertValue('[news:id]');\">文章ID</a></li>
			<li><a href=\"#\" title=\"文章名称\" onclick=\"InsertValue('[news:name]');\">文章名称</a></li>
			<li><a href=\"#\" title=\"名称颜色\" onclick=\"InsertValue('[news:color]');\">名称颜色</a></li>
			<li><a href=\"#\" title=\"文章内容连接\" onclick=\"InsertValue('[news:link]');\">内容连接</a></li>
			<li><a href=\"#\" title=\"推荐星际\" onclick=\"InsertValue('[news:stars]');\">推荐星际</a></li>
			<li><a href=\"#\" title=\"文章图片\" onclick=\"InsertValue('[news:pic]');\">文章图片</a></li>
			<li><a href=\"#\" title=\"总人气\" onclick=\"InsertValue('[news:hits]');\">总人气</a></li>
			<li><a href=\"#\" title=\"月人气\" onclick=\"InsertValue('[news:yhits]');\">月人气</a></li>
			<li><a href=\"#\" title=\"周人气\" onclick=\"InsertValue('[news:zhits]');\">周人气</a></li>
			<li><a href=\"#\" title=\"日人气\" onclick=\"InsertValue('[news:rhits]');\">日人气</a></li>
			<li><a href=\"#\" title=\"文章来源\" onclick=\"InsertValue('[news:laiyuan]');\">文章来源</a></li>
			<li><a href=\"#\" title=\"文章标签\" onclick=\"InsertValue('[news:tags]');\">文章标签</a></li>

			<li><a href=\"#\" title=\"文章分类ID\" onclick=\"InsertValue('[news:classid]');\">文章分类ID</a></li>
			<li><a href=\"#\" title=\"文章分类名称\" onclick=\"InsertValue('[news:classname]');\">文章分类名称</a></li>
			<li><a href=\"#\" title=\"文章分类连接\" onclick=\"InsertValue('[news:classname]');\">文章分类连接</a></li>
			<li><a href=\"#\" title=\"按最新连接\" onclick=\"InsertValue('[news:nlink]');\">按最新连接</a></li>
			<li><a href=\"#\" title=\"按人气连接\" onclick=\"InsertValue('[news:hlink]');\">按人气连接</a></li>
			<li><a href=\"#\" title=\"按月排行连接\" onclick=\"InsertValue('[news:ylink]');\">按月排行连接</a></li>
			<li><a href=\"#\" title=\"按周排行连接\" onclick=\"InsertValue('[news:zlink]');\">按周排行连接</a></li>
			<li><a href=\"#\" title=\"按日排行连接\" onclick=\"InsertValue('[news:rlink]');\">按日排行连接</a></li>
			<li><a href=\"#\" title=\"按推荐排行连接\" onclick=\"InsertValue('[news:tlink]');\">推荐排行连接</a></li>

			<li><a href=\"#\" title=\"文章评论\" onclick=\"InsertValue('[news:pl]');\">文章评论</a></li>
			<li><a href=\"#\" title=\"文章阅读权限\" onclick=\"InsertValue('[news:xzqx]');\">阅读权限</a></li>
			<li><a href=\"#\" title=\"文章内容\" onclick=\"InsertValue('[news:content]');\">文章内容</a></li>
			<li><a href=\"#\" title=\"文章更新时间\" onclick=\"InsertValue('[news:time]');\">更新时间</a></li>

			<li><a href=\"#\" title=\"所属会员名称\" onclick=\"InsertValue('[news:uname]');\">会员名称</a></li>
			<li><a href=\"#\" title=\"所属会员呢称\" onclick=\"InsertValue('[news:unichen]');\">会员呢称</a></li>
			<li><a href=\"#\" title=\"所属会员连接\" onclick=\"InsertValue('[news:ulink]');\">会员连接</a></li>
			<li><a href=\"#\" title=\"所属会员头像\" onclick=\"InsertValue('[news:upic]');\">会员头像</a></li>

                    </ul>

                    <ul id=\"vod\" style=\"display:none\">
			<li><a href=\"#\" title=\"取得行号标签\" onclick=\"InsertValue('[vod:i]');\">排 序 号</a></li>
			<li><a href=\"#\" title=\"视频ID\" onclick=\"InsertValue('[vod:id]');\">视频ID</a></li>
			<li><a href=\"#\" title=\"视频名称\" onclick=\"InsertValue('[vod:name]');\">视频名称</a></li>
			<li><a href=\"#\" title=\"名称颜色\" onclick=\"InsertValue('[vod:color]');\">名称颜色</a></li>
			<li><a href=\"#\" title=\"视频内容连接\" onclick=\"InsertValue('[vod:link]');\">内容连接</a></li>
			<li><a href=\"#\" title=\"视频内容连接\" onclick=\"InsertValue('[vod:playlink]');\">播放连接</a></li>
			<li><a href=\"#\" title=\"推荐星际\" onclick=\"InsertValue('[vod:stars]');\">推荐星际</a></li>
			<li><a href=\"#\" title=\"视频图片\" onclick=\"InsertValue('[vod:pic]');\">视频图片</a></li>
			<li><a href=\"#\" title=\"总人气\" onclick=\"InsertValue('[vod:hits]');\">总人气</a></li>
			<li><a href=\"#\" title=\"月人气\" onclick=\"InsertValue('[vod:yhits]');\">月人气</a></li>
			<li><a href=\"#\" title=\"周人气\" onclick=\"InsertValue('[vod:zhits]');\">周人气</a></li>
			<li><a href=\"#\" title=\"日人气\" onclick=\"InsertValue('[vod:rhits]');\">日人气</a></li>
			<li><a href=\"#\" title=\"下载人气\" onclick=\"InsertValue('[vod:xhits]');\">下载人气</a></li>
			<li><a href=\"#\" title=\"收藏人气\" onclick=\"InsertValue('[vod:shits]');\">收藏人气</a></li>
			<li><a href=\"#\" title=\"被顶人气\" onclick=\"InsertValue('[vod:dhits]');\">被顶人气</a></li>
			<li><a href=\"#\" title=\"被踩人气\" onclick=\"InsertValue('[vod:chits]');\">被踩人气</a></li>
			<li><a href=\"#\" title=\"视频年份\" onclick=\"InsertValue('[vod:year]');\">视频年份</a></li>
			<li><a href=\"#\" title=\"视频地区\" onclick=\"InsertValue('[vod:diqu]');\">视频地区</a></li>
			<li><a href=\"#\" title=\"视频语言\" onclick=\"InsertValue('[vod:yuyan]');\">视频语言</a></li>
			<li><a href=\"#\" title=\"视频来源\" onclick=\"InsertValue('[vod:laiyuan]');\">视频来源</a></li>
			<li><a href=\"#\" title=\"视频导演\" onclick=\"InsertValue('[vod:daoyan]');\">视频导演</a></li>
			<li><a href=\"#\" title=\"视频主演\" onclick=\"InsertValue('[vod:yanyuan]');\">视频主演</a></li>
			<li><a href=\"#\" title=\"视频标签\" onclick=\"InsertValue('[vod:tags]');\">视频标签</a></li>

			<li><a href=\"#\" title=\"视频分类ID\" onclick=\"InsertValue('[vod:classid]');\">视频分类ID</a></li>
			<li><a href=\"#\" title=\"视频分类名称\" onclick=\"InsertValue('[vod:classname]');\">视频分类名称</a></li>
			<li><a href=\"#\" title=\"视频分类连接\" onclick=\"InsertValue('[vod:classname]');\">视频分类连接</a></li>
			<li><a href=\"#\" title=\"按最新连接\" onclick=\"InsertValue('[vod:nlink]');\">按最新连接</a></li>
			<li><a href=\"#\" title=\"按人气连接\" onclick=\"InsertValue('[vod:hlink]');\">按人气连接</a></li>
			<li><a href=\"#\" title=\"按月排行连接\" onclick=\"InsertValue('[vod:ylink]');\">按月排行连接</a></li>
			<li><a href=\"#\" title=\"按周排行连接\" onclick=\"InsertValue('[vod:zlink]');\">按周排行连接</a></li>
			<li><a href=\"#\" title=\"按日排行连接\" onclick=\"InsertValue('[vod:rlink]');\">按日排行连接</a></li>
			<li><a href=\"#\" title=\"按下载排行连接\" onclick=\"InsertValue('[vod:xlink]');\">下载排行连接</a></li>
			<li><a href=\"#\" title=\"按收藏排行连接\" onclick=\"InsertValue('[vod:slink]');\">收藏排行连接</a></li>
			<li><a href=\"#\" title=\"按被顶排行连接\" onclick=\"InsertValue('[vod:dlink]');\">被顶排行连接</a></li>
			<li><a href=\"#\" title=\"大家正在看连接\" onclick=\"InsertValue('[vod:plink]');\">大家正在看</a></li>
			<li><a href=\"#\" title=\"按推荐排行连接\" onclick=\"InsertValue('[vod:tlink]');\">推荐排行连接</a></li>

			<li><a href=\"#\" title=\"视频评论\" onclick=\"InsertValue('[vod:pl]');\">视频评论</a></li>
			<li><a href=\"#\" title=\"视频观看权限\" onclick=\"InsertValue('[vod:xzqx]');\">观看权限</a></li>
			<li><a href=\"#\" title=\"视频描述\" onclick=\"InsertValue('[vod:intor]');\">视频描述</a></li>
			<li><a href=\"#\" title=\"视频简介\" onclick=\"InsertValue('[vod:content]');\">视频简介</a></li>
			<li><a href=\"#\" title=\"视频更新时间\" onclick=\"InsertValue('[vod:time]');\">更新时间</a></li>

			<li><a href=\"#\" title=\"视频收藏连接\" onclick=\"InsertValue('[vod:favlink]');\">收藏连接</a></li>
			<li><a href=\"#\" title=\"视频下载连接\" onclick=\"InsertValue('[vod:downlink]');\">下载连接</a></li>
			<li><a href=\"#\" title=\"视频报错连接\" onclick=\"InsertValue('[vod:errorlink]');\">报错连接</a></li>

			<li><a href=\"#\" title=\"所属会员名称\" onclick=\"InsertValue('[vod:uname]');\">会员名称</a></li>
			<li><a href=\"#\" title=\"所属会员呢称\" onclick=\"InsertValue('[vod:unichen]');\">会员呢称</a></li>
			<li><a href=\"#\" title=\"所属会员连接\" onclick=\"InsertValue('[vod:ulink]');\">会员连接</a></li>
			<li><a href=\"#\" title=\"所属会员头像\" onclick=\"InsertValue('[vod:upic]');\">会员头像</a></li>
                    </ul>

                    <ul id=\"singer\" style=\"display:none\">
			<li><a href=\"#\" title=\"取得行号标签\" onclick=\"InsertValue('[singer:i]');\">排 序 号</a></li>
			<li><a href=\"#\" title=\"歌手ID\" onclick=\"InsertValue('[singer:id]');\">歌手ID</a></li>
			<li><a href=\"#\" title=\"歌手名称\" onclick=\"InsertValue('[singer:name]');\">歌手名称</a></li>
			<li><a href=\"#\" title=\"名称颜色\" onclick=\"InsertValue('[singer:color]');\">名称颜色</a></li>
			<li><a href=\"#\" title=\"歌手内容连接\" onclick=\"InsertValue('[singer:link]');\">歌手连接</a></li>
			<li><a href=\"#\" title=\"歌手图片\" onclick=\"InsertValue('[singer:pic]');\">歌手图片</a></li>
			<li><a href=\"#\" title=\"总人气\" onclick=\"InsertValue('[singer:hits]');\">总人气</a></li>
			<li><a href=\"#\" title=\"月人气\" onclick=\"InsertValue('[singer:yhits]');\">月人气</a></li>
			<li><a href=\"#\" title=\"周人气\" onclick=\"InsertValue('[singer:zhits]');\">周人气</a></li>
			<li><a href=\"#\" title=\"日人气\" onclick=\"InsertValue('[singer:rhits]');\">日人气</a></li>
			<li><a href=\"#\" title=\"歌手来源\" onclick=\"InsertValue('[singer:laiyuan]');\">歌手来源</a></li>
			<li><a href=\"#\" title=\"歌手音乐总数量\" onclick=\"InsertValue('[singer:count]');\">音乐总数量</a></li>
			<li><a href=\"#\" title=\"歌手今日音乐数量\" onclick=\"InsertValue('[singer:daycount]');\">今日音乐数量</a></li>

			<li><a href=\"#\" title=\"歌手分类ID\" onclick=\"InsertValue('[singer:classid]');\">歌手分类ID</a></li>
			<li><a href=\"#\" title=\"歌手分类名称\" onclick=\"InsertValue('[singer:classname]');\">歌手分类名称</a></li>
			<li><a href=\"#\" title=\"歌手分类连接\" onclick=\"InsertValue('[singer:classname]');\">歌手分类连接</a></li>
			<li><a href=\"#\" title=\"按最新连接\" onclick=\"InsertValue('[singer:nlink]');\">按最新连接</a></li>
			<li><a href=\"#\" title=\"按人气连接\" onclick=\"InsertValue('[singer:hlink]');\">按人气连接</a></li>
			<li><a href=\"#\" title=\"按月排行连接\" onclick=\"InsertValue('[singer:ylink]');\">按月排行连接</a></li>
			<li><a href=\"#\" title=\"按周排行连接\" onclick=\"InsertValue('[singer:zlink]');\">按周排行连接</a></li>
			<li><a href=\"#\" title=\"按日排行连接\" onclick=\"InsertValue('[singer:rlink]');\">按日排行连接</a></li>
			<li><a href=\"#\" title=\"按推荐排行连接\" onclick=\"InsertValue('[singer:tlink]');\">推荐排行连接</a></li>

			<li><a href=\"#\" title=\"歌手介绍\" onclick=\"InsertValue('[singer:content]');\">歌手介绍</a></li>
			<li><a href=\"#\" title=\"歌手更新时间\" onclick=\"InsertValue('[singer:time]');\">更新时间</a></li>
                    </ul>
		</div>
                ";

            }
        }

	public function skins()
	{
            $filename=$this->input->get('filename');
            $this->load->get_templates();
	    $template=$this->load->view($filename,'',true);
            echo $template;
        }

	public function pagehtml()
	{
            $ac=$this->input->get('ac');
            $id=$this->input->get('id');

            if($ac=="page"){
	        $row=$this->CsdjDB->get_select ('page','CS_ID','*',''.$id.'');
	        if(!$row){
                      die('Error');
	        }
                $htmllink='http://'.Web_Url.Web_Path.'index.php/page/index/'.$row[0]->CS_Name;
                $data=$this->CsdjAdmin->HtmlAll($htmllink);

                if(empty($data)) die('Error');

                $html=".".str_replace("http://".Web_Url,"",$row[0]->CS_Url);
                if ( ! write_file($html, $data)){
                     echo '<font color=red>Error</font>';
                }else{
                     echo '<font color=#0000ff>ok</font>';
                }
            }
        }
}

