jQuery(function(){
	LoadUserBgSongs();
	CloseBgSound();
});
var DomainUrl = top.location.hostname;
var IsInit = false;
ControlBgSound();
function ControlBgSound() {
    if (window.navigator.userAgent.toLowerCase().indexOf("ie") < 0) {
        IsIEBroser = false;
    }
}
function Play() {
    if (IsIEBroser)
        player.controls.play();
    else
        $("#Bgplayer")[0].play();

}
function Pause() {
    if (IsIEBroser)
        player.controls.pause();
    else
        $("#Bgplayer")[0].pause();
}
function ShowPlayer(url) {
    if (!IsInit)
        $("#bgplayer").jPlayer({
            ready: function () {
                $(this).jPlayer("setMedia", {
                    mp3: unescape(url)
                }).jPlayer("play");

            },
            ended: function (event) {
                PlayIndexRange();

            },
            cssSelectorAncestor: "",
            cssSelector: {
                play: ".pause",
                pause: ".play"
            },
            volume: 1,
            swfPath: ""+player_path+"",
            supplied: "mp3"
        });
    else
        $("#bgplayer").jPlayer("setMedia", {
            mp3: unescape(url)
        }).jPlayer("play");
    IsInit = true;
}
var playlist;
var encode;
function LoadUserBgSongs() {
    var val = $.GetCookie("closebg");
    if (typeof val == "string") {
        $.ajax({
            url: ""+player_url+"",
            type: "post",
            data: { uid: $("#usernames").val(), action: "getlist" },
            dataType: "json",
            success: function (msg) {
                if (msg.length > 0) {
                    playlist = msg;
                    AppendPlayList();
                    $(".bgsongplayer").css("visibility", "visible");
                    ShowPlayer(msg[0].SongUrl);
                    ShowPlayList();
                }
            },
            error: function () {

            }
        })
    }
}

function AppendPlayList() {
    var html = "";
    for (var i = 0; i < playlist.length; i++) {
        if (i == 0) {
            html = "<li class='currengbg'>" + unescape(playlist[i]["SongName"]) + "</li>";
        }
        else {

            html += "<li>" + unescape(playlist[i]["SongName"]) + "</li>";
        }
    } 
    $("#CurrSong").text(unescape(playlist[0].SongName));
    $(".play_list ul").html(html);
}
function PlayIndexRange() {
    var currrentindex = $("li.currengbg").index();
    $(".play_list li").removeClass("currengbg");
    if (currrentindex < $(".play_list li").size() - 1) {
        $("#CurrSong").text(unescape(playlist[currrentindex + 1].SongName));
        ShowPlayer(playlist[currrentindex + 1].SongUrl);
        $(".play_list li").eq(currrentindex + 1).addClass("currengbg");
    }
    else {
        $("#CurrSong").text(unescape(playlist[0].SongName));
        ShowPlayer(playlist[0].SongUrl);
        $(".play_list li").eq(0).addClass("currengbg");
    }
}
//头闭
function CloseBgSound() {
    var val = $.GetCookie("closebg");
    if (typeof val == "string")
        $(".closebg a").text("关闭背景音乐").attr({ "value": 0, "title": "关闭用户背景音乐" });
    else
        $(".closebg a").text("打开背景音乐").attr({ "value": 1, "title": "打开用户背景音乐" });
    $(".closebg a").click(function () {
        ReadBgSet();
    });
    $(".closebg a").css("display", "inline-block")
}
function ShowPlayList() {
    $(".play_list_btn").live("click", function () {
        if ($(".play_list").is(":hidden"))
            $(".play_list").slideDown();
        else
            $(".play_list").slideUp();
    })
    $(".play_list li").live("click", function () {
        var index = $(this).index();
        $("#CurrSong").text(unescape(playlist[index].SongName));
        ShowPlayer(playlist[index].SongUrl);
        $(".play_list li").removeClass("currengbg");
        $(this).addClass("currengbg");
        $(".play_list").slideUp();
    })
}
function ReadBgSet() {
    var value = $(".closebg a").attr("value");
    if (value == 0) {
        $.SetCookie("closebg", "true", { expires: 1, domain: DomainUrl });
        $(".closebg a").text("打开背景音乐").attr({ "value": 1, "title": "打开用户背景音乐" });
        $("#bgplayer").jPlayer("stop");
    }
    else {
        $(".closebg a").text("关闭背景音乐").attr({ "value": 0, "title": "关闭用户背景音乐" });
        $.UpdateCookie("closebg", null, { expires: -1, domain: DomainUrl });
        LoadUserBgSongs();
    }
}
