--
-- cscms 数据库MYSQL
-- 生成日期: 2013 年 11 月 17 日 00:00
--

--
-- 数据库: 'cscmcs_v3.5'
--

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--cs_admin<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}admin` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_AdminName` varchar(64) default '',
  `CS_AdminPass` varchar(64) default '',
  `CS_LoginIP` varchar(128) default '',
  `CS_LoginNum` int(11) default '0',
  `CS_LoginTime` datetime default '0000-00-00 00:00:00',
  `CS_Quanx` varchar(255) default '',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;



--cs_ads<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}ads` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(64) default '',
  `CS_Js` varchar(100) default '',
  `CS_Html` text,
  `CS_Neir` varchar(200) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_blog<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}blog` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_User` varchar(64) default '',
  `CS_Neir` text,
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_caiji<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}caiji` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(50) default '',
  `CS_Url` varchar(250) default '',
  `CS_Code` varchar(50) default '',
  `CS_User` varchar(50) default '',
  `CS_SID` int(11) default '0',
  `CS_ZID` int(11) default '0',
  `CS_CID` int(11) default '0',
  `CS_PID` int(11) default '0',
  `CS_FID` int(11) default '0',
  `CS_CFID` int(11) default '0',
  `CS_PicID` int(11) default '0',
  `CS_DXID` int(11) default '0',
  `CS_RKID` int(11) default '0',
  `CS_Laiy` varchar(100) default '',
  `CS_PicMode` int(11) default '0',
  `CS_DanceMode` int(11) default '0',
  `CS_Cjurl` text,
  `CS_Ksid` int(11) default '0',
  `CS_Jsid` int(11) default '0',
  `CS_Listks` text,
  `CS_Listjs` text,
  `CS_Picks` text,
  `CS_Picjs` text,
  `CS_Linkks` text,
  `CS_Linkjs` text,
  `CS_Nameks` text,
  `CS_Namejs` text,
  `CS_SingerMode` int(11) default '0',
  `CS_Singerks` text,
  `CS_Singerjs` text,
  `CS_YearMode` int(11) default '0',
  `CS_ZuozMode` int(11) default '0',
  `CS_TagsMode` int(11) default '0',
  `CS_DaoyMode` int(11) default '0',
  `CS_Daoyks` text,
  `CS_Daoyjs` text,
  `CS_YuyanMode` int(11) default '0',
  `CS_Yuyanks` text,
  `CS_Yuyanjs` text,
  `CS_DiquMode` int(11) default '0',
  `CS_Diquks` text,
  `CS_Diqujs` text,
  `CS_Lrcks` text,
  `CS_Lrcjs` text,
  `CS_PlayMode` int(11) default '0',
  `CS_Playks` text,
  `CS_Playjs` text,
  `CS_Danceks` text,
  `CS_Dancejs` text,
  `CS_DanceTh` text,
  `CS_LrcTh` text,
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  `CS_Yearks` text,
  `CS_Yearjs` text,
  `CS_Zuozks` text,
  `CS_Zuozjs` text,
  `CS_Tagsks` text,
  `CS_Tagsjs` text,
  `CS_Template` varchar(100) default '',
  `CS_Playlinkks` text,
  `CS_Playlinkjs` text,
  `CS_LaiyuanMode` int(11) default '0',
  `CS_Laiyuanks` text,
  `CS_Laiyuanjs` text,
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;



--cs_cjdata<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}cjdata` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_SID` int(11) default '1',
  `CS_Name` varchar(255) default '',
  `CS_Tags` varchar(255) default '',
  `CS_Pic` varchar(255) default '',
  `CS_CID` int(11) default '0',
  `CS_TID` int(11) default '0',
  `CS_ZID` int(11) default '0',
  `CS_User` varchar(255) default '',
  `CS_Daoy` varchar(255) default '',
  `CS_Yany` varchar(255) default '',
  `CS_Laiy` varchar(100) default '',
  `CS_PID` int(11) default '0',
  `CS_PlayUrl` text,
  `CS_DownUrl` text,
  `CS_FID` int(11) default '0',
  `CS_Content` text,
  `CS_Year` varchar(64) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  `CS_Template` varchar(64) default '',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_cjlist<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}cjlist` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_CID` int(11) default '0',
  `CS_SID` int(11) default '1',
  `CS_Url` varchar(255) default '',
  `CS_Names` varchar(255) default '',
  `CS_ZID` int(11) default '0',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_class<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}class` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_AliasName` varchar(64) default '',
  `CS_FID` int(11) default '0',
  `CS_SID` int(11) default '1',
  `CS_XID` int(11) default '0',
  `CS_YID` int(11) default '0',
  `CS_CSID` varchar(255) default '',
  `CS_CSID1` varchar(255) default '',
  `CS_CSID2` varchar(255) default '',
  `CS_Template` varchar(64) default '',
  `CS_Title` varchar(100) default '',
  `CS_Keywords` varchar(150) default '',
  `CS_Description` varchar(200) default '',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_dance<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}dance` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_Tags` varchar(255) default '',
  `CS_Color` varchar(8) default '',
  `CS_Pic` varchar(255) default '',
  `CS_CID` int(11) default '0',
  `CS_TID` int(11) default '0',
  `CS_SingerID` int(11) default '0',
  `CS_User` varchar(255) default '',
  `CS_UID` int(11) default '0',
  `CS_Singer` varchar(64) default '',
  `CS_PID` int(11) default '0',
  `CS_PlayUrl` varchar(255) default '',
  `CS_DownUrl1` varchar(255) default '',
  `CS_DownUrl2` varchar(255) default '',
  `CS_DownUrl3` varchar(255) default '',
  `CS_FID` int(11) default '0',
  `CS_YID` int(11) default '0',
  `CS_HID` int(11) default '0',
  `CS_Content` text,
  `CS_Hits` int(11) default '1',
  `CS_Shits` int(11) default '0',
  `CS_Xhits` int(11) default '0',
  `CS_Rhits` int(11) default '1',
  `CS_Zhits` int(11) default '1',
  `CS_Yhits` int(11) default '1',
  `CS_Dhits` int(11) default '0',
  `CS_Chits` int(11) default '0',
  `CS_Reco` int(11) default '0',
  `CS_Year` varchar(64) default '',
  `CS_Cion` int(11) default '0',
  `CS_Scion` int(11) default '0',
  `CS_Vip` int(11) default '0',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  `CS_PlayTime` datetime default '0000-00-00 00:00:00',
  `CS_Dx` varchar(255) default '',
  `CS_Yz` varchar(255) default '',
  `CS_Sc` varchar(255) default '',
  `CS_Template` varchar(64) default 'dance-play.html',
  `CS_Title` varchar(100) default '',
  `CS_Keywords` varchar(150) default '',
  `CS_Description` varchar(200) default '',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--cs_down<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}down` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_SID` int(11) default '1',
  `CS_CID` int(11) default '0',
  `CS_DID` int(11) default '0',
  `CS_Cion` int(11) default '0',
  `CS_Name` text,
  `CS_User` varchar(64) default '',
  `CS_Ip` varchar(64) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_dt<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}dt` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_CID` int(11) default '0',
  `CS_DID` int(11) default '0',
  `CS_YID` int(11) default '0',
  `CS_Title` varchar(255) default '',
  `CS_User` varchar(64) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




--cs_error<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}error` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_Content` text,
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  `CS_IP` varchar(255) default '',
  `CS_DID` int(11) default '0',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_fans<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}fans` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Usera` varchar(64) default '',
  `CS_Userb` varchar(64) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_fav<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}fav` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_SID` int(11) default '1',
  `CS_CID` int(11) default '0',
  `CS_DID` int(11) default '0',
  `CS_Name` text,
  `CS_User` varchar(64) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_friend<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}friend` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Usera` varchar(64) default '',
  `CS_Userb` varchar(64) default '',
  `CS_TID` int(11) default '0',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




--cs_funco<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}funco` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Usera` varchar(64) default '',
  `CS_Userb` varchar(64) default '',
  `CS_UID` int(11) default '0',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_fwqip<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}fwqip` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_Playip` varchar(255) default '',
  `CS_Downip` varchar(255) default '',
  `CS_SID` int(11) default '1',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--cs_gbook<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}gbook` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_CID` int(11) default '0',
  `CS_FID` int(11) default '0',
  `CS_Usera` varchar(64) default '',
  `CS_Userb` varchar(64) default '',
  `CS_Neir` text,
  `CS_Hfneir` text,
  `CS_Ip` varchar(64) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--cs_gslist<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}gslist` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(100) default '',
  `CS_XID` int(11) default '0',
  `CS_YID` int(11) default '0',
  `CS_Template` varchar(100) default '',
  `CS_AliasName` varchar(100) default '',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--cs_label<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}label` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_SelfLable` text,
  `CS_Neir` varchar(255) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_link<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}link` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_Url` varchar(255) default '',
  `CS_Pic` varchar(255) default '',
  `CS_CID` int(11) default '1',
  `CS_YID` int(11) default '0',
  `CS_XID` int(11) default '0',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_mb<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}mb` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_CID` int(11) default '0',
  `CS_Cion` int(11) default '0',
  `CS_Hits` int(11) default '0',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_news<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}news` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_Color` varchar(8) default '',
  `CS_Pic` varchar(255) default '',
  `CS_Tags` varchar(255) default '',
  `CS_CID` int(11) default '0',
  `CS_TID` int(11) default '0',
  `CS_User` varchar(255) default '',
  `CS_UID` int(11) default '0',
  `CS_Laiyuan` varchar(255) default '',
  `CS_Content` text,
  `CS_Hits` int(11) default '1',
  `CS_Yhits` int(11) default '1',
  `CS_Zhits` int(11) default '1',
  `CS_Rhits` int(11) default '1',
  `CS_Reco` int(11) default '0',
  `CS_YID` int(11) default '0',
  `CS_HID` int(11) default '0',
  `CS_Vip` int(11) default '0',
  `CS_Template` varchar(64) default '',
  `CS_LookTime` datetime default '0000-00-00 00:00:00',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  `CS_Title` varchar(100) default '',
  `CS_Keywords` varchar(150) default '',
  `CS_Description` varchar(200) default '',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




--cs_page<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}page` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_SID` int(11) default '0',
  `CS_Name` varchar(100) default '',
  `CS_Neir` varchar(100) default '',
  `CS_Url` varchar(100) default '',
  `CS_Html` text,
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_pay<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}pay` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Dingdan` varchar(255) default '',
  `CS_Type` varchar(64) default '',
  `CS_User` varchar(64) default '',
  `CS_RMB` int(11) default '0',
  `CS_PID` int(11) default '0',
  `CS_Ip` varchar(64) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_pic<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}pic` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_YID` int(11) default '0',
  `CS_Hits` int(11) default '0',
  `CS_Zhits` int(11) default '0',
  `CS_Name` varchar(64) default '',
  `CS_User` varchar(64) default '',
  `CS_Pic` varchar(255) default '',
  `CS_Content` varchar(255) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




--cs_pl<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}pl` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_User` varchar(255) default '',
  `CS_Content` text,
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  `CS_IP` varchar(255) default '',
  `CS_DID` int(11) default '0',
  `CS_SID` int(11) default '0',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




--cs_plugins<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}plugins` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(100) default '',
  `CS_Author` varchar(20) default '',
  `CS_Dir` varchar(30) default '',
  `CS_Version` varchar(10) default '',
  `CS_Description` varchar(200) default '',
  `CS_SID` int(11) default '0',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



--cs_singer<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}singer` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(100) default '',
  `CS_Pic` varchar(255) default '',
  `CS_Color` varchar(50) default '',
  `CS_CID` int(11) default '0',
  `CS_Hits` int(11) default '0',
  `CS_Yhits` int(11) default '0',
  `CS_Zhits` int(11) default '0',
  `CS_Rhits` int(11) default '0',
  `CS_TID` int(11) default '0',
  `CS_YID` int(11) default '0',
  `CS_Content` text,
  `CS_Template` varchar(100) default '',
  `CS_AddTime` date default '0000-00-00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




--cs_skins<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}skins` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_TempPath` text,
  `CS_SID` int(11) default '1',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




--cs_tags<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}tags` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(64) default '',
  `CS_CID` int(11) default '0',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=32 ;




--cs_topic<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}topic` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_SingerID` int(11) default '0',
  `CS_Singer` varchar(50) default '',
  `CS_Color` varchar(8) default '',
  `CS_AliasName` varchar(255) default '',
  `CS_Pic` varchar(255) default '',
  `CS_Template` varchar(128) default '',
  `CS_User` varchar(128) default '',
  `CS_UID` int(11) default '0',
  `CS_Content` text,
  `CS_CID` int(11) default '0',
  `CS_Reco` int(11) default '0',
  `CS_YID` int(11) default '0',
  `CS_SID` int(11) default '1',
  `CS_Hits` int(11) default '1',
  `CS_Yhits` int(11) default '1',
  `CS_Zhits` int(11) default '1',
  `CS_Rhits` int(11) default '1',
  `CS_Year` varchar(64) default '',
  `CS_Yuyan` varchar(128) default '',
  `CS_Diqu` varchar(128) default '',
  `CS_Fxgs` varchar(128) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  `CS_LookTime` datetime default '0000-00-00 00:00:00',
  `CS_Tags` text,
  `CS_Title` varchar(100) default '',
  `CS_Keywords` varchar(150) default '',
  `CS_Description` varchar(200) default '',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--cs_user<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}user` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(50) default '',
  `CS_UID` varchar(150) default '',
  `CS_TID` int(11) default '0',
  `CS_SID` int(11) default '0',
  `CS_RZID` int(11) default '0',
  `CS_Pass` varchar(50) default '',
  `CS_LogIP` varchar(50) default '',
  `CS_LogNum` int(11) default '0',
  `CS_LogTime` datetime default '0000-00-00 00:00:00',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  `CS_QQ` varchar(50) default '',
  `CS_QID` int(11) default '0',
  `CS_Sex` int(1) default '0',
  `CS_City` varchar(50) default '',
  `CS_Email` varchar(50) default '',
  `CS_Logo` varchar(255) default '',
  `CS_Qqid` varchar(255) default '',
  `CS_Nichen` varchar(50) default '',
  `CS_Cion` int(11) default '0',
  `CS_Cion2` int(11) default '0',
  `CS_RMB` int(11) default '0',
  `CS_Vip` int(11) default '0',
  `CS_VipTime` datetime default '0000-00-00 00:00:00',
  `CS_EndTime` datetime default '0000-00-00 00:00:00',
  `CS_Hits` int(11) default '0',
  `CS_Yhits` int(11) default '0',
  `CS_Zhits` int(11) default '0',
  `CS_Rhits` int(11) default '0',
  `CS_LookTime` datetime default '0000-00-00 00:00:00',
  `CS_Mbid` varchar(10) default '01',
  `CS_Toppic` varchar(250) default '',
  `CS_Bgpic` varchar(250) default '',
  `CS_Qianm` varchar(255) default '',
  `CS_Zx` int(11) default '0',
  `CS_Logms` bigint(20) default '0',
  `CS_Qdts` int(11) default '0',
  `CS_Qdtime` datetime default '0000-00-00 00:00:00',
  `CS_Level` int(11) default '0',
  `CS_Jinyan` int(11) default '0',
  `CS_Zanhits` int(11) default '0',
  `CS_RegIP` varchar(100) default '',
  `CS_YID` int(11) default '0',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--cs_userzu<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}userzu` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(100) default '',
  `CS_Cion_30` int(11) default '0',
  `CS_Cion_180` int(11) default '0',
  `CS_Cion_365` int(11) default '0',
  `CS_Quanx` text,
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




--cs_vlist<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}vlist` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_AliasName` varchar(64) default '',
  `CS_FID` int(11) default '0',
  `CS_XID` int(11) default '0',
  `CS_YID` int(11) default '0',
  `CS_CSID` varchar(255) default '',
  `CS_CSID1` varchar(255) default '',
  `CS_CSID2` varchar(255) default '',
  `CS_Template` varchar(64) default 'vod-list.html',
  `CS_Template2` varchar(100) default 'vod-show.html',
  `CS_Title` varchar(100) default '',
  `CS_Keywords` varchar(150) default '',
  `CS_Description` varchar(200) default '',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




--cs_vod<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}vod` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_Name` varchar(255) default '',
  `CS_Tags` varchar(255) default '',
  `CS_Color` varchar(8) default '',
  `CS_Pic` varchar(255) default '',
  `CS_CID` int(11) default '0',
  `CS_TID` int(11) default '0',
  `CS_User` varchar(255) default '',
  `CS_Daoy` varchar(255) default '',
  `CS_Yany` varchar(255) default '',
  `CS_Laiy` varchar(255) default '',
  `CS_PlayUrl` text,
  `CS_DownUrl` text,
  `CS_FID` int(11) default '0',
  `CS_YID` int(11) default '0',
  `CS_HID` int(11) default '0',
  `CS_Intro` varchar(255) default '',
  `CS_Content` text,
  `CS_Hits` int(11) default '1',
  `CS_Shits` int(11) default '0',
  `CS_Xhits` int(11) default '0',
  `CS_Rhits` int(11) default '1',
  `CS_Zhits` int(11) default '1',
  `CS_Yhits` int(11) default '1',
  `CS_Dhits` int(11) default '0',
  `CS_Chits` int(11) default '0',
  `CS_Reco` int(11) default '0',
  `CS_Year` varchar(64) default '',
  `CS_Yuyan` varchar(100) default '',
  `CS_Diqu` varchar(100) default '',
  `CS_Remark` varchar(50) default '完结',
  `CS_Cion` int(11) default '0',
  `CS_Vip` int(11) default '0',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  `CS_PlayTime` datetime default '0000-00-00 00:00:00',
  `CS_Template` varchar(64) default 'vod-play.html',
  `CS_Title` varchar(100) default '',
  `CS_Keywords` varchar(150) default '',
  `CS_Description` varchar(200) default '',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




--cs_xiaoxi<cscms>--

CREATE TABLE IF NOT EXISTS `{Prefix}xiaoxi` (
  `CS_ID` int(11) NOT NULL auto_increment,
  `CS_DID` int(11) default '0',
  `CS_Name` varchar(255) default '',
  `CS_Neir` text,
  `CS_Usera` varchar(64) default '',
  `CS_Userb` varchar(64) default '',
  `CS_AddTime` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`CS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
